Package net.shibboleth.idp.authn.impl

# Class RelyingPartyMapJAASLoginConfigStrategy

java.lang.Object
net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction<Collection<Pair<String,Subject>>>
net.shibboleth.idp.authn.impl.RelyingPartyMapJAASLoginConfigStrategy

All Implemented Interfaces:
  `Function<ProfileRequestContext,Collection<Pair<String,Subject>>>`, `ContextDataLookupFunction<ProfileRequestContext,Collection<Pair<String,Subject>>>`

public class RelyingPartyMapJAASLoginConfigStrategy extends AbstractRelyingPartyLookupFunction<Collection<Pair<String,Subject>>>
An implementation of the `loginConfigStrategy` for `JAASCredentialValidator` which uses a supplied map to resolve the JAAS config to use.

The map key is the relying party ID, the value is the JAAS config name.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`defaultConfigName`
The default JAAS config name to use when no specific mapping configured.
`private org.slf4j.Logger`
`log`
Logger.
`private Map<String,String>`
`relyingPartyMap`
Map holding the relying party to JAAS config name mappings.

## Constructor Summary

Constructors
Constructor
Description
`RelyingPartyMapJAASLoginConfigStrategy(Map<String,String> map)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Collection<Pair<String,Subject>>`
`apply(ProfileRequestContext profileRequestContext)`
`void`
`setDefaultConfigName(String name)`
Set the default JAAS config name returned when no specific one is configured for a particular relying party.

### Methods inherited from class net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction

`getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

### relyingPartyMap

@Nonnull private Map<String,String> relyingPartyMap
Map holding the relying party to JAAS config name mappings.

### defaultConfigName

@Nonnull private String defaultConfigName
The default JAAS config name to use when no specific mapping configured.

## Constructor Details

### RelyingPartyMapJAASLoginConfigStrategy

public RelyingPartyMapJAASLoginConfigStrategy(@Nonnull @ParameterName(name="map") Map<String,String> map)
Constructor.

Parameters:
  `map` - the map of relying party ID to JAAS config name

## Method Details

### setDefaultConfigName

public void setDefaultConfigName(@Nonnull @NotEmpty String name)
Set the default JAAS config name returned when no specific one is configured for a particular relying party.

The default value is: ShibUserPassAuth.

Parameters:
  `name` - the default JAAS config name

### apply

@Nonnull @Unmodifiable @NotLive public Collection<Pair<String,Subject>> apply(@Nullable ProfileRequestContext profileRequestContext)